Page MenuHomePhabricator

[GlobalISel] combine not symmetric merge/unmerge nodes.
ClosedPublic

Authored by igorb on May 28 2017, 12:10 AM.

Details

Summary

In some cases legalization ends up with not symmetric merge/unmerge nodes.
Transform it to merge/unmerge nodes.

Diff Detail

Repository
rL LLVM

Event Timeline

igorb created this revision.May 28 2017, 12:10 AM
igorb added a reviewer: rovka.Jun 18 2017, 2:26 AM
t.p.northover accepted this revision.Jun 19 2017, 9:11 AM

This looks reasonable to me.

This revision is now accepted and ready to land.Jun 19 2017, 9:11 AM
igorb added a comment.Jun 19 2017, 9:53 AM

Thanks for the review!

This revision was automatically updated to reflect the committed changes.